Нетрудно быть добродетельным там, где ничто этому не препятствует (Овидий).

WordPress будущего

3 мин для чтения
FavoriteLoadingДобавить в избранное
1 Звезда2 Звезды3 Звезды4 Звезды5 Звезд (Пока оценок нет)
Загрузка...
30 декабря 2018
WordPress будущего
WordPress является ведущей платформой среди множества для создания веб-сайтов с пятнадцатилетней историей в этой области. В то время как другие платформы приходили и уходили, разбивались на несколько платформ или даже пытались их заметить, WordPress является постоянной силой, на которую опирается почти треть Интернета. 6 декабря мы увидели выпуск того, что во многом считается самым большим изменением в WordPress из когда-либо виденных. WordPress 5.0 отошел от классического редактора и внедрил новый редактор, Gutenberg.

Новый редактор WordPress

Хотя переход на Gutenberg, безусловно, не единственное изменение с выпуском WordPress 5.0, это самое заметное и публичное изменение. В то время как классический редактор функционировал во многом как текстовый процессор, Gutenberg – это так называемый блочный редактор.Если вы хотите добавить заголовок раздела, вы добавляете блок заголовка. Параграфы получают блок, изображения – другой блок – любой фрагмент контента, который попадает в ваш пост или страницу, будет иметь свой собственный блок. Изменение этой величины, естественно, будет иметь кривую обучения для любого, кто использовал WordPress в течение многих лет, но этот период корректировки обычно короткий.

WordPress будущего

Классический редактор

WordPress будущего

Редактор Gutenberg

Если исходить из «Классического редактора», Gutenberg сначала чувствует себя немного чуждо, а затем начинает ощущать себя почти волшебным. Знакомая коробка с содержимым, с лентой форматирования, которую мы видели почти на каждом текстовом процессоре десятилетиями, внезапно исчезла. Вместо этого есть поле для контента меньшего размера, с несколькими доступными вариантами форматирования. Волшебство начинает происходить, когда вы начинаете двигаться вниз по странице, добавляя новые блоки. Gutenberg интуитивно помещает вас в тип блока на основе предыдущего блока. Если вам нужен другой тип блока контента, есть простой переключатель типа блока, где вы можете выбрать тип контента, который вам нужен в этом блоке. Gutenberg быстро начинает придавать больше смысла и становится в нем легче ориентироваться, чем в классическом редакторе.

WordPress будущего

Переключатель Блоков Gutenberg

Каким бы великим ни был Gutenberg, он также не для всех – пока. Если на вашем веб-сайте используется тема или плагин, который еще не был обновлен для совместимости с Gutenberg, возможно, вам придется немного подождать с Классическим редактором. Вы также можете найти некоторые функции, которые больше не доступны и понадобятся до того, как эти функции будут включены в Gutenberg в ближайшие месяцы. Если вы не используете несовместимую тему или плагин и не нуждаетесь в чем-то большем, чем основные опции редактирования, попробуйте прямо сейчас и попробуйте Gutenberg. Существует плагин Classic Editor, который вы можете установить, чтобы вернуть предыдущий редактор WordPress, поэтому, если Gutenberg просто не для вас, вы всегда можете вернуться к знакомому редактору.

Что это значит для безопасности моего сайта?

При любых изменениях всегда полезно учитывать безопасность. Даже если вы не будете одним из первых, кто будет использовать Gutenberg, сейчас самое время обновить WordPress, чтобы обеспечить наличие новейших функций безопасности, встроенных в команду WordPress. Поскольку это основной выпуск, это также идеальное время для аудита ваших тем и плагинов, удаления ненужных вам вещей и обеспечения обновления всего, что у вас есть, до последней версии. Даже если переход на WordPress 5.0 вам не подходит, важно быть в курсе последних обновлений для версии, которую вы используете на своем сайте. WordPress поддерживает обновления безопасности для многих старых версий при обнаружении проблемы.

WordPress уже выпустил свое первое обновление для 5.0, а обновление безопасности для 5.0.1 вышло 13 декабря. Это обновление включает исправления для ряда проблем безопасности, от несанкционированного изменения метаданных, до многочисленных уязвимостей межсайтового скриптинга (XSS) и даже одной уязвимости, которая может привести к раскрытию адресов электронной почты и паролей по умолчанию. Хотя ни одна из исправленных уязвимостей не затронула Gutenberg, они затронули ядро ​​WordPress и некоторые плагины. Многие из этих уязвимостей также затронули сайты WordPress 3.x и 4.x, поэтому вы должны обязательно обновить свой сайт для защиты от этих уязвимостей, даже если вы еще не перешли на WordPress 5.0.

Если вы нашли ошибку, пожалуйста, выделите фрагмент текста и нажмите Ctrl+Enter.

Просмотров: 19

Если статья понравилась, то поделитесь ей в социальных сетях:

Отправить ответ

Войти с помощью: 
avatar
  Подписаться  
Уведомление о

Сообщить об опечатке

Текст, который будет отправлен нашим редакторам:

Заполните форму и наш менеджер перезвонит Вам в самое ближайшее время!

badge
Обратный звонок 1
Отправить
galka

Спасибо! Ваша заявка принята

close
galka

Спасибо! Ваша заявка принята

close